ISCHROOT(1)

NOM
ischroot - Détection de l'utilisation d'un environnement fermé (« chroot »)

SYNOPSIS
ischroot [--default-false] [--default-true] [--help] [--version]

DESCRIPTION

ischroot détecte s'il est exécuté à l'intérieur d'un environnement fermé d'exécution (« chroot »). L'état de sortie est le suivant :

0   si l'exécution a lieu dans un environnement fermé

1   si l'exécution n'a pas lieu dans un environnement fermé

2   s'il est impossible de détecter l'état (sous GNU/Linux, cela se produit quand la commande est exécutée sans les privilèges du superutilisateur).

OPTIONS

-f, --default-false
    Sort avec l'état 1 si la détection est impossible.

-t, --default-true
    Sort avec l'état 0 si la détection est impossible.

--help
    affiche un message d'aide sur la sortie standard, puis quitte sans erreur.

--version
    affiche les informations sur la version, puis quitte sans erreur.

BOGUES
Sous GNU/Linux, la détection d'un environnement fermé n'est possible que pour le superutilisateur. Elle fonctionne correctement pour tout utilisateur avec GNU/Hurd et GNU/kFreeBSD.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.